Subject: Re: [PATCH] git-gui: fix error popup when doing blame -> "Show History Context"

From: Benjamin Poirier <[email-masked]>
Date: Tue, 3 Mar 2020 09:10:33 +0900

On 2020/03/03 00:05 +0530, Pratyush Yadav wrote:
> In d9c6469 (git-gui: update status bar to track operations, 2019-12-01)
> the call to 'ui_status' in 'do_gitk' was updated to create the newly
> introduced "status bar operation". This allowed this status text so show
> along with other operations happening in parallel, and removed a race
> between all these operations.
> 
> But in that refactor, the fact that 'ui_status' checks for the existence
> of 'main_status' was overlooked. This leads to an error message popping
> up when the user selects "Show History Context" from the blame window
> context menu on a source line. The error occurs because when running
> "blame" 'main_status' is not initialized.
> 
> So, add a check for the existence of 'main_status' in 'do_gitk'. This
> fix reverts to the original behaviour. In the future, we might want to
> look into a better way of telling 'do_gitk' which status bar to use.
> 
> Signed-off-by: Pratyush Yadav <[email-masked]>

Tested-by: Benjamin Poirier <[email-masked]>

Thank you for looking into this.